"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RedisDatabase = void 0;
var Redis = require('ioredis');
class RedisDatabase {
    constructor(options) {
        this.options = options;
        this._redis = new Redis(options.databaseConfig.redis);
    }
    get(key) {
        return new Promise((resolve, reject) => {
            this._redis.get(key).then((value) => resolve(JSON.parse(value)));
        });
    }
    set(key, value) {
        this._redis.set(key, JSON.stringify(value));
        if (this.options.databaseConfig.publishPresence === true && /^presence-.*:members$/.test(key)) {
            this._redis.publish('PresenceChannelUpdated', JSON.stringify({
                "event": {
                    "channel": key,
                    "members": value
                }
            }));
        }
    }
}
exports.RedisDatabase = RedisDatabase;
